> ## Documentation Index
> Fetch the complete documentation index at: https://docs.codeant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Team Member

> Removes a member from a team by their `user_login`.



## OpenAPI

````yaml /openapi.json post /api/metrics/developer/teams/members/remove
openapi: 3.0.3
info:
  title: CodeAnt AI API
  description: >-
    API for code analysis (SAST, SCA, secrets, IaC) and developer productivity
    metrics. Supports GitHub, GitLab, Bitbucket, and Azure DevOps.
  version: 1.0.0
servers:
  - url: https://api.codeant.ai
    description: Production server
security: []
tags:
  - name: Analysis
    description: Code analysis operations
  - name: Agent Analysis
    description: >-
      AI-powered agent analysis operations. Uses LLM-based code exploration
      agents to perform deep security threat hunting, bug finding, and custom
      analysis with reflection-based false positive filtering.
  - name: Developer Metrics - Teams
    description: >-
      Manage developer teams: create, update, delete teams and manage team
      membership. Teams are used to organize developers and scope metrics.
  - name: Developer Metrics
    description: >-
      Developer productivity and activity metrics: active developers, PR
      throughput, individual comparisons, and AI-generated summaries. All
      endpoints support GitHub, GitLab, Bitbucket, and Azure DevOps.
paths:
  /api/metrics/developer/teams/members/remove:
    post:
      tags:
        - Developer Metrics - Teams
      summary: Remove Team Member
      description: Removes a member from a team by their `user_login`.
      operationId: removeTeamMember
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TeamMemberRequest'
            examples:
              github:
                summary: GitHub
                value:
                  platform: github
                  org: my-org
                  team_id: 15884668-91e2-4def-9d20-b7cf4698117d
                  user_login: jane@example.com
              gitlab:
                summary: GitLab
                value:
                  platform: gitlab
                  org: my-group
                  team_id: 15884668-91e2-4def-9d20-b7cf4698117d
                  user_login: jane@example.com
              bitbucket:
                summary: Bitbucket
                value:
                  platform: bitbucket
                  org: my-workspace
                  team_id: 15884668-91e2-4def-9d20-b7cf4698117d
                  user_login: jane@example.com
              azure_devops:
                summary: Azure DevOps
                value:
                  platform: azure_devops
                  org: my-org
                  team_id: 15884668-91e2-4def-9d20-b7cf4698117d
                  user_login: jane@example.com
      responses:
        '200':
          description: Member removed
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  message:
                    type: string
                    example: Member removed successfully
                  team:
                    $ref: '#/components/schemas/Team'
        '400':
          description: Bad request - missing or invalid parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DevMetricsErrorResponse'
              example:
                error: 'Missing required parameters: platform, org'
        '401':
          description: Unauthorized - missing, invalid, or insufficient access token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DevMetricsErrorResponse'
              examples:
                missing_token:
                  summary: Missing Authorization header
                  value:
                    error: Missing Authorization header. Use 'Bearer <access_token>'
                invalid_token:
                  summary: Invalid or insufficient token
                  value:
                    error: >-
                      Access token invalid or does not have access to this
                      organization
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DevMetricsStatusResponse'
              example:
                status: error
                message: Team not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DevMetricsStatusResponse'
              example:
                status: error
                message: Internal server error
      security:
        - BearerAuth: []
components:
  schemas:
    TeamMemberRequest:
      allOf:
        - $ref: '#/components/schemas/DevMetricsBaseRequest'
        - type: object
          required:
            - team_id
            - user_login
          properties:
            team_id:
              type: string
              format: uuid
            user_login:
              type: string
              description: Login/email of the member
              example: jane@example.com
            user_name:
              type: string
              description: Display name (for add/update)
              example: Jane Doe
            role:
              type: string
              enum:
                - member
                - lead
              default: member
              description: Member role (for add/update)
    Team:
      type: object
      description: A developer team with members, metadata, and repository assignments
      properties:
        id:
          type: string
          format: uuid
          description: Unique team identifier
        name:
          type: string
          description: Team name
          example: Backend Team
        description:
          type: string
          description: Team description
          example: Responsible for API services
        color:
          type: string
          description: Hex color for UI display
          example: '#1570EF'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        created_by:
          type: string
        team_leads:
          type: array
          items:
            type: string
          description: List of team lead identifiers
        members:
          type: array
          items:
            $ref: '#/components/schemas/TeamMember'
        tags:
          type: array
          items:
            type: string
        parent_team_id:
          type: string
          description: Parent team ID for nested teams
        repositories:
          type: array
          items:
            type: string
          description: Assigned repository names
          example:
            - my-org/backend-api
        is_active:
          type: boolean
          description: Whether the team is active
    DevMetricsErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Error message
    DevMetricsStatusResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
            - error
        message:
          type: string
          description: Human-readable status message
    DevMetricsBaseRequest:
      type: object
      required:
        - platform
        - org
      properties:
        platform:
          type: string
          description: Version control platform
          enum:
            - github
            - gitlab
            - bitbucket
            - azure_devops
            - azuredevops
          example: github
        org:
          type: string
          description: Organization, workspace, or group name on the platform
          example: my-org
        github_base_url:
          type: string
          description: Base URL for GitHub (use for GitHub Enterprise Server)
          default: https://github.com
          example: https://github.com
        gitlab_base_url:
          type: string
          description: Base URL for GitLab (use for self-hosted GitLab instances)
          default: https://gitlab.com
          example: https://gitlab.com
        azure_devops_base_url:
          type: string
          description: Base URL for Azure DevOps (use for Azure DevOps Server)
          default: https://dev.azure.com
          example: https://dev.azure.com
        bitbucket_base_url:
          type: string
          description: Base URL for Bitbucket (use for Bitbucket Data Center/Server)
          default: https://api.bitbucket.org/2.0
          example: https://api.bitbucket.org/2.0
    TeamMember:
      type: object
      description: A member of a team
      properties:
        user_login:
          type: string
          description: Unique login/email identifier of the member
          example: jane@example.com
        user_name:
          type: string
          description: Display name of the member
          example: Jane Doe
        joined_at:
          type: string
          format: date-time
          description: When the member joined the team
        role:
          type: string
          enum:
            - member
            - lead
          description: Role within the team
          example: member
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Access token for the git provider (GitHub PAT, GitLab PAT, Bitbucket App
        Password, Azure DevOps PAT). Pass via `Authorization: Bearer <token>`
        header.

````